Bug 732381 - strict aliasing warnings during package build
Summary: strict aliasing warnings during package build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap
Version: 5.8
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On: 723487
Blocks: 734145
TreeView+ depends on / blocked
 
Reported: 2011-08-22 08:54 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
6 users (show)

Fixed In Version: openldap-2.3.43-21.el5
Doc Type: Bug Fix
Doc Text:
- the openldap package compilation log contains information about breaking strict-aliasing rules - the presence of these warnings can lead into unexpected runtime behavior - -fno-strict-aliasing option is passed to a compiler to avoid optimizations that can produce invalid code - the change might contribute to stability and reliability of OpenLDAP
Clone Of: 723487
Environment:
Last Closed: 2012-02-21 05:28:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0155 normal SHIPPED_LIVE openldap bug fix and enhancement update 2012-02-20 14:54:48 UTC

Comment 4 Jan Vcelak 2011-08-26 13:30:24 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- the openldap package compilation log contains information about breaking strict-aliasing rules
- the presence of these warnings can lead into unexpected runtime behavior
- -fno-strict-aliasing option is passed to a compiler to avoid optimizations that can produce invalid code
- the change might contribute to stability and reliability of OpenLDAP

Comment 8 errata-xmlrpc 2012-02-21 05:28:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0155.html


Note You need to log in before you can comment on or make changes to this bug.